---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 5c260343-174e-5a49-b91d-ef73fa1a7b54
      tier: AATSR_CMP_MONTH
      value: 0.04433966800570488
    brdf:
      alpha_1:
        band_1: 0.09847151445793012
        band_11: 0.2097812116241416
        band_12: 0.027873079809780876
        band_2: 0.09847151445793012
        band_3: 0.1439915224578493
        band_4: 0.08059391967018502
        band_5: 0.08059391967018502
        band_6: 0.08059391967018502
        band_7: 0.4128233076209409
        band_8: 0.4128233076209409
        band_8a: 0.4128233076209409
      alpha_2:
        band_1: 0.1689452113176031
        band_11: 0.13129271493813693
        band_12: 0.15840685366005916
        band_2: 0.1689452113176031
        band_3: 0.2503554290581575
        band_4: 0.18424345145127854
        band_5: 0.18424345145127854
        band_6: 0.18424345145127854
        band_7: 0.10875696212094776
        band_8: 0.10875696212094776
        band_8a: 0.10875696212094776
      id:
      - 2c366aeb-814a-5dab-a3ef-565df0ac7334
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c63b9e62-afc8-5099-8eb0-17b9439118c4
      tier: DEFINITIVE
      value: 0.28
    water_vapour:
      id:
      - 825cc2ec-1a8a-5f62-a62d-483ddf64ea06
      tier: DEFINITIVE
      value: 0.6699999809265137
  id: 64a82d02-428c-4fa9-bc74-e66a7e21f73a
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1894.5705215524408
      BAND-11: 230.64523782233275
      BAND-12: 78.88474735018129
      BAND-2: 1936.5391532162355
      BAND-3: 1813.287617288195
      BAND-4: 1480.5499683387386
      BAND-5: 1366.73820988703
      BAND-6: 1247.1523958302785
      BAND-7: 1141.6976582727605
      BAND-8: 1011.1673584731163
      BAND-8A: 922.105181674294
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-07-30 01:35:07.268984Z
    atime: 2023-08-10 09:54:22Z
    ctime: 2023-07-30 05:39:51Z
    mtime: 2023-07-30 05:39:46Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-07/25S125E-30S130E/S2A_MSIL1C_20230730T012721_N0509_R131_T52JEQ_20230730T025438.zip
  system_information:
    hostname: gadi-cpu-clx-0841.gadi.nci.org.au
    runtime_id: e1aa0f52-3763-11ee-ab7b-00000197fe80
    time_processed: 2023-08-10 09:54:22.216657Z
    uname: 'Linux gadi-cpu-clx-0841.gadi.nci.org.au 4.18.0-477.15.1.el8.nci.x86_64
      #1 SMP Sun Jul 16 11:36:47 AEST 2023 x86_64'
gqa:
  colors:
    blue: 38.0
    green: 3217.0
    red: 17.0
    teal: 557.0
    yellow: 34.0
  error_message: no errors
  final_qa_count: 3782
  granule: S2A_OPER_MSI_L1C_TL_2APS_20230730T025438_A042313_T52JEQ_N05.09
  ref_date: '2013-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/105/079/LC81050792013262LGN00_B6.TIF
  residual:
    abs:
      x: 0.4
      xy: 0.47
      y: 0.25
    abs_iterative_mean:
      x: 0.29
      xy: 0.36
      y: 0.21
    cep90: 0.54
    iterative_mean:
      x: 0.27
      xy: 0.33
      y: 0.18
    iterative_stddev:
      x: 0.19
      xy: 0.26
      y: 0.18
    mean:
      x: 0.19
      xy: 0.28
      y: 0.2
    stddev:
      x: 2.38
      xy: 2.46
      y: 0.62
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.99659257932124
    cloud: 0.0
    cloud_shadow: 0.0
    snow: 0.0
    water: 0.0034074206787635076
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
